import request from '@/utils/request'

// 项目详情
export function getproject(data, id) {
	return request({
		url: '/api/index/project/id/' + id,
		method: 'get',
		data
	});
}

// 项目任务详情
export function misssion(data, id, uid, pid) {
	return request({
		url: '/api/index/misssion/id/' + id + '/group_id/' + uid + '/product_id/' + pid,
		method: 'get',
		data
	});
}

// 待评分用户列表
export function user_list(data) {
	return request({
		url: '/api/index/user_list',
		method: 'get',
		data
	});
}

// 评分
export function score(data, id, uid, pid) {
	return request({
		url: '/api/index/score/id/' + id + '/group_id/' + uid + '/product_id/' + pid,
		method: 'post',
		data
	});
}

// 我的得分
export function my_point(data, id) {
	return request({
		url: '/api/index/my_point/id/' + id,
		method: 'post',
		data
	});
}

// 最近一场
export function new_project(data) {
	return request({
		url: '/api/index/new_project',
		method: 'get',
		data
	});
}